devplugin

## Class PluginCenterPanel

- java.lang.Object
- - devplugin.PluginCenterPanel

- Direct Known Subclasses:
    PluginViewWrapper, ProgramTableScrollPaneWrapper

      public abstract class PluginCenterPanel
      extends java.lang.Object

  A class that can be used to add panels to the TV-Browser main window.

  ATTENTION: Always extend this class to create own classes for your Plugin. Else way it won't work because you will not have an unique ID for your center panel.

  Since:
    3.2
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginCenterPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets the ID (class name) of this PluginCenterPanel.
    `abstract java.lang.String` | `getName()` Gets the name of this PluginCenterPanel that is used to show in the tab bar of the main window of TV-Browser.
    `abstract javax.swing.JPanel` | `getPanel()` Gets the JPanel that should be shown in the tab bar of the TV-Browser main window.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginCenterPanel

          public PluginCenterPanel()

  - ### Method Detail

    - #### getName

          public abstract java.lang.String getName()

      Gets the name of this PluginCenterPanel that is used to show in the tab bar of the main window of TV-Browser.
      Returns:
        The name of this PluginCenterPanel

    - #### getPanel

          public abstract javax.swing.JPanel getPanel()

      Gets the JPanel that should be shown in the tab bar of the TV-Browser main window.
      Returns:
        The JPanel that is used in the main window.

    - #### getId

          public final java.lang.String getId()

      Gets the ID (class name) of this PluginCenterPanel.

      Returns:
        The ID (class name) of this PluginCenterPanel.

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)